<template>
	<div v-loading="loading">
		正在前往DRP绩效...
	</div>
</template>
<script>
	import {getWxworkUser_ehrpm,getDrpUser} from "@/api/business/ehr/wxworklogin";
	import {setToken} from '@/utils/auth'
	export default {
		data() {
			return {
				//遮罩
      			loading: false
			}
		},
		methods: {
		},
		async created() {
			this.loading = true;
			let query = this.$route.query;
			console.log("query",query);
			let res = await getWxworkUser_ehrpm(query.code);
			console.log("res",res);
			if(res.code == '200'){
				let staffCode = res.data.userid;
				let dres = await getDrpUser(staffCode);
				console.log("dres",dres);
				if (dres.code === 200) {
					let token = dres.token
					setToken(token)
					this.$store.commit('SET_TOKEN', token)
					this.$store.dispatch("GetInfo").then(() => {})
					this.$store.dispatch("GenerateRoutes").then(
						this.$router.push({ path: '/business/ehr/pm/myPm',replace:true}).catch(()=>{})
					)
					this.loading = false;
				}
			}
			console.log('执行完成');
		}
	}
</script>